#-- start of make_header -----------------

#====================================
#  Library TbUT
#
#   Generated Thu May  5 17:06:13 2016  by ibezshyi
#
#====================================

include ${CMTROOT}/src/Makefile.core

ifdef tag
CMTEXTRATAGS = $(tag)
else
tag       = $(CMTCONFIG)
endif

cmt_TbUT_has_no_target_tag = 1

#--------------------------------------------------------

ifdef cmt_TbUT_has_target_tag

tags      = $(tag),$(CMTEXTRATAGS),target_TbUT

TbUT_tag = $(tag)

#cmt_local_tagfile_TbUT = $(TbUT_tag)_TbUT.make
cmt_local_tagfile_TbUT = $(bin)$(TbUT_tag)_TbUT.make

else

tags      = $(tag),$(CMTEXTRATAGS)

TbUT_tag = $(tag)

#cmt_local_tagfile_TbUT = $(TbUT_tag).make
cmt_local_tagfile_TbUT = $(bin)$(TbUT_tag).make

endif

include $(cmt_local_tagfile_TbUT)
#-include $(cmt_local_tagfile_TbUT)

ifdef cmt_TbUT_has_target_tag

cmt_final_setup_TbUT = $(bin)setup_TbUT.make
#cmt_final_setup_TbUT = $(bin)TbUT_TbUTsetup.make
cmt_local_TbUT_makefile = $(bin)TbUT.make

else

cmt_final_setup_TbUT = $(bin)setup.make
#cmt_final_setup_TbUT = $(bin)TbUTsetup.make
cmt_local_TbUT_makefile = $(bin)TbUT.make

endif

cmt_final_setup = $(bin)setup.make
#cmt_final_setup = $(bin)TbUTsetup.make

#TbUT :: ;

dirs ::
	@if test ! -r requirements ; then echo "No requirements file" ; fi; \
	  if test ! -d $(bin) ; then $(mkdir) -p $(bin) ; fi

javadirs ::
	@if test ! -d $(javabin) ; then $(mkdir) -p $(javabin) ; fi

srcdirs ::
	@if test ! -d $(src) ; then $(mkdir) -p $(src) ; fi

help ::
	$(echo) 'TbUT'

binobj = 
ifdef STRUCTURED_OUTPUT
binobj = TbUT/
#TbUT::
#	@if test ! -d $(bin)$(binobj) ; then $(mkdir) -p $(bin)$(binobj) ; fi
#	$(echo) "STRUCTURED_OUTPUT="$(bin)$(binobj)
endif

ifdef use_requirements
$(use_requirements) : ;
endif

#-- end of make_header ------------------
#-- start of libary_header ---------------

TbUTlibname   = $(bin)$(library_prefix)TbUT$(library_suffix)
TbUTlib       = $(TbUTlibname).a
TbUTstamp     = $(bin)TbUT.stamp
TbUTshstamp   = $(bin)TbUT.shstamp

TbUT :: dirs  TbUTLIB
	$(echo) "TbUT ok"

#-- end of libary_header ----------------
#-- start of libary ----------------------

TbUTLIB :: $(TbUTlib) $(TbUTshstamp)
	$(echo) "TbUT : library ok"

$(TbUTlib) :: $(bin)TbUTRawDataMonitorAlgorithm.o $(bin)TbUTClusterCreatorDataMonitorAlgorithm.o $(bin)TbUTNoise.o $(bin)TbUTCommonModeSubtractorDataMonitorAlgorithm.o $(bin)TbUTNoiseCalculatorfactory.o $(bin)TbUTPedestalSubtractorDataMonitorAlgorithm.o $(bin)TbUTRawData.o $(bin)TbUTDataMonitorAlgorithm.o $(bin)TbUTPedestalRetreiver.o $(bin)TbUTMambaDataReader.o $(bin)TbUTCommonModeSubtractorFactory.o $(bin)TbUTChannelMaskProvider.o $(bin)TbUTPedestal.o $(bin)TbUTPedestalFileValidator.o $(bin)TbUTClusterCreatorAlgorithm.o $(bin)TbUTRawDataFactory.o $(bin)TbUTNoiseCalculatorFake.o $(bin)TbUTClusterCreatorFactory.o $(bin)TbUTTresholdProvider.o $(bin)TbUTCmsPerBeetle.o $(bin)TbUTAlibavaDataReader.o $(bin)TbUTRawDataReaderAlgorithm.o $(bin)TbUTCommonModeSubtractorAlgorithm.o $(bin)TbUTCMSLinear.o $(bin)TbUTSensor.o $(bin)TbUTPedestalSubtractorAlgorithm.o $(bin)TbUTRandomNoiseGenerator.o $(bin)TbUTNTupleCreator.o $(bin)TbUTNoiseCalculator.o $(bin)TbUTChannelMaskFileValidator.o $(bin)TbUTCMSIterativelyPerBeetle.o $(bin)TbUTClusterCreator.o $(bin)TbUTPedestalFollowingFactory.o $(bin)TbUTPedestalSubtractor.o $(bin)TbUTPedestalCalculator.o $(bin)TbUTCluster.o $(bin)TbUTAlibavaDataRetreiver.o $(bin)TbUTAlbavaFileValidator.o $(bin)TbAsciiRoot.o $(bin)ChanList.o $(bin)TbAlibavaHit.o $(bin)mamba_decoder.o
	$(lib_echo) "static library $@"
	$(lib_silent) [ ! -f $@ ] || \rm -f $@
	$(lib_silent) $(ar) $(TbUTlib) $(bin)TbUTRawDataMonitorAlgorithm.o $(bin)TbUTClusterCreatorDataMonitorAlgorithm.o $(bin)TbUTNoise.o $(bin)TbUTCommonModeSubtractorDataMonitorAlgorithm.o $(bin)TbUTNoiseCalculatorfactory.o $(bin)TbUTPedestalSubtractorDataMonitorAlgorithm.o $(bin)TbUTRawData.o $(bin)TbUTDataMonitorAlgorithm.o $(bin)TbUTPedestalRetreiver.o $(bin)TbUTMambaDataReader.o $(bin)TbUTCommonModeSubtractorFactory.o $(bin)TbUTChannelMaskProvider.o $(bin)TbUTPedestal.o $(bin)TbUTPedestalFileValidator.o $(bin)TbUTClusterCreatorAlgorithm.o $(bin)TbUTRawDataFactory.o $(bin)TbUTNoiseCalculatorFake.o $(bin)TbUTClusterCreatorFactory.o $(bin)TbUTTresholdProvider.o $(bin)TbUTCmsPerBeetle.o $(bin)TbUTAlibavaDataReader.o $(bin)TbUTRawDataReaderAlgorithm.o $(bin)TbUTCommonModeSubtractorAlgorithm.o $(bin)TbUTCMSLinear.o $(bin)TbUTSensor.o $(bin)TbUTPedestalSubtractorAlgorithm.o $(bin)TbUTRandomNoiseGenerator.o $(bin)TbUTNTupleCreator.o $(bin)TbUTNoiseCalculator.o $(bin)TbUTChannelMaskFileValidator.o $(bin)TbUTCMSIterativelyPerBeetle.o $(bin)TbUTClusterCreator.o $(bin)TbUTPedestalFollowingFactory.o $(bin)TbUTPedestalSubtractor.o $(bin)TbUTPedestalCalculator.o $(bin)TbUTCluster.o $(bin)TbUTAlibavaDataRetreiver.o $(bin)TbUTAlbavaFileValidator.o $(bin)TbAsciiRoot.o $(bin)ChanList.o $(bin)TbAlibavaHit.o $(bin)mamba_decoder.o
	$(lib_silent) $(ranlib) $(TbUTlib)
	$(lib_silent) cat /dev/null >$(TbUTstamp)

#------------------------------------------------------------------
#  Future improvement? to empty the object files after
#  storing in the library
#
##	  for f in $?; do \
##	    rm $${f}; touch $${f}; \
##	  done
#------------------------------------------------------------------

#
# We add one level of dependency upon the true shared library 
# (rather than simply upon the stamp file)
# this is for cases where the shared library has not been built
# while the stamp was created (error??) 
#

$(TbUTlibname).$(shlibsuffix) :: $(TbUTlib) requirements $(use_requirements) $(TbUTstamps)
	$(lib_echo) "shared library $@"
	$(lib_silent) if test "$(makecmd)"; then QUIET=; else QUIET=1; fi; QUIET=$${QUIET} bin=$(bin) $(make_shlib) "$(tags)" TbUT $(TbUT_shlibflags)

$(TbUTshstamp) :: $(TbUTlibname).$(shlibsuffix)
	$(lib_silent) if test -f $(TbUTlibname).$(shlibsuffix) ; then cat /dev/null >$(TbUTshstamp) ; fi

TbUTclean ::
	$(cleanup_echo) objects TbUT
	$(cleanup_silent) /bin/rm -f $(bin)TbUTRawDataMonitorAlgorithm.o $(bin)TbUTClusterCreatorDataMonitorAlgorithm.o $(bin)TbUTNoise.o $(bin)TbUTCommonModeSubtractorDataMonitorAlgorithm.o $(bin)TbUTNoiseCalculatorfactory.o $(bin)TbUTPedestalSubtractorDataMonitorAlgorithm.o $(bin)TbUTRawData.o $(bin)TbUTDataMonitorAlgorithm.o $(bin)TbUTPedestalRetreiver.o $(bin)TbUTMambaDataReader.o $(bin)TbUTCommonModeSubtractorFactory.o $(bin)TbUTChannelMaskProvider.o $(bin)TbUTPedestal.o $(bin)TbUTPedestalFileValidator.o $(bin)TbUTClusterCreatorAlgorithm.o $(bin)TbUTRawDataFactory.o $(bin)TbUTNoiseCalculatorFake.o $(bin)TbUTClusterCreatorFactory.o $(bin)TbUTTresholdProvider.o $(bin)TbUTCmsPerBeetle.o $(bin)TbUTAlibavaDataReader.o $(bin)TbUTRawDataReaderAlgorithm.o $(bin)TbUTCommonModeSubtractorAlgorithm.o $(bin)TbUTCMSLinear.o $(bin)TbUTSensor.o $(bin)TbUTPedestalSubtractorAlgorithm.o $(bin)TbUTRandomNoiseGenerator.o $(bin)TbUTNTupleCreator.o $(bin)TbUTNoiseCalculator.o $(bin)TbUTChannelMaskFileValidator.o $(bin)TbUTCMSIterativelyPerBeetle.o $(bin)TbUTClusterCreator.o $(bin)TbUTPedestalFollowingFactory.o $(bin)TbUTPedestalSubtractor.o $(bin)TbUTPedestalCalculator.o $(bin)TbUTCluster.o $(bin)TbUTAlibavaDataRetreiver.o $(bin)TbUTAlbavaFileValidator.o $(bin)TbAsciiRoot.o $(bin)ChanList.o $(bin)TbAlibavaHit.o $(bin)mamba_decoder.o
	$(cleanup_silent) /bin/rm -f $(patsubst %.o,%.d,$(bin)TbUTRawDataMonitorAlgorithm.o $(bin)TbUTClusterCreatorDataMonitorAlgorithm.o $(bin)TbUTNoise.o $(bin)TbUTCommonModeSubtractorDataMonitorAlgorithm.o $(bin)TbUTNoiseCalculatorfactory.o $(bin)TbUTPedestalSubtractorDataMonitorAlgorithm.o $(bin)TbUTRawData.o $(bin)TbUTDataMonitorAlgorithm.o $(bin)TbUTPedestalRetreiver.o $(bin)TbUTMambaDataReader.o $(bin)TbUTCommonModeSubtractorFactory.o $(bin)TbUTChannelMaskProvider.o $(bin)TbUTPedestal.o $(bin)TbUTPedestalFileValidator.o $(bin)TbUTClusterCreatorAlgorithm.o $(bin)TbUTRawDataFactory.o $(bin)TbUTNoiseCalculatorFake.o $(bin)TbUTClusterCreatorFactory.o $(bin)TbUTTresholdProvider.o $(bin)TbUTCmsPerBeetle.o $(bin)TbUTAlibavaDataReader.o $(bin)TbUTRawDataReaderAlgorithm.o $(bin)TbUTCommonModeSubtractorAlgorithm.o $(bin)TbUTCMSLinear.o $(bin)TbUTSensor.o $(bin)TbUTPedestalSubtractorAlgorithm.o $(bin)TbUTRandomNoiseGenerator.o $(bin)TbUTNTupleCreator.o $(bin)TbUTNoiseCalculator.o $(bin)TbUTChannelMaskFileValidator.o $(bin)TbUTCMSIterativelyPerBeetle.o $(bin)TbUTClusterCreator.o $(bin)TbUTPedestalFollowingFactory.o $(bin)TbUTPedestalSubtractor.o $(bin)TbUTPedestalCalculator.o $(bin)TbUTCluster.o $(bin)TbUTAlibavaDataRetreiver.o $(bin)TbUTAlbavaFileValidator.o $(bin)TbAsciiRoot.o $(bin)ChanList.o $(bin)TbAlibavaHit.o $(bin)mamba_decoder.o) $(patsubst %.o,%.dep,$(bin)TbUTRawDataMonitorAlgorithm.o $(bin)TbUTClusterCreatorDataMonitorAlgorithm.o $(bin)TbUTNoise.o $(bin)TbUTCommonModeSubtractorDataMonitorAlgorithm.o $(bin)TbUTNoiseCalculatorfactory.o $(bin)TbUTPedestalSubtractorDataMonitorAlgorithm.o $(bin)TbUTRawData.o $(bin)TbUTDataMonitorAlgorithm.o $(bin)TbUTPedestalRetreiver.o $(bin)TbUTMambaDataReader.o $(bin)TbUTCommonModeSubtractorFactory.o $(bin)TbUTChannelMaskProvider.o $(bin)TbUTPedestal.o $(bin)TbUTPedestalFileValidator.o $(bin)TbUTClusterCreatorAlgorithm.o $(bin)TbUTRawDataFactory.o $(bin)TbUTNoiseCalculatorFake.o $(bin)TbUTClusterCreatorFactory.o $(bin)TbUTTresholdProvider.o $(bin)TbUTCmsPerBeetle.o $(bin)TbUTAlibavaDataReader.o $(bin)TbUTRawDataReaderAlgorithm.o $(bin)TbUTCommonModeSubtractorAlgorithm.o $(bin)TbUTCMSLinear.o $(bin)TbUTSensor.o $(bin)TbUTPedestalSubtractorAlgorithm.o $(bin)TbUTRandomNoiseGenerator.o $(bin)TbUTNTupleCreator.o $(bin)TbUTNoiseCalculator.o $(bin)TbUTChannelMaskFileValidator.o $(bin)TbUTCMSIterativelyPerBeetle.o $(bin)TbUTClusterCreator.o $(bin)TbUTPedestalFollowingFactory.o $(bin)TbUTPedestalSubtractor.o $(bin)TbUTPedestalCalculator.o $(bin)TbUTCluster.o $(bin)TbUTAlibavaDataRetreiver.o $(bin)TbUTAlbavaFileValidator.o $(bin)TbAsciiRoot.o $(bin)ChanList.o $(bin)TbAlibavaHit.o $(bin)mamba_decoder.o) $(patsubst %.o,%.d.stamp,$(bin)TbUTRawDataMonitorAlgorithm.o $(bin)TbUTClusterCreatorDataMonitorAlgorithm.o $(bin)TbUTNoise.o $(bin)TbUTCommonModeSubtractorDataMonitorAlgorithm.o $(bin)TbUTNoiseCalculatorfactory.o $(bin)TbUTPedestalSubtractorDataMonitorAlgorithm.o $(bin)TbUTRawData.o $(bin)TbUTDataMonitorAlgorithm.o $(bin)TbUTPedestalRetreiver.o $(bin)TbUTMambaDataReader.o $(bin)TbUTCommonModeSubtractorFactory.o $(bin)TbUTChannelMaskProvider.o $(bin)TbUTPedestal.o $(bin)TbUTPedestalFileValidator.o $(bin)TbUTClusterCreatorAlgorithm.o $(bin)TbUTRawDataFactory.o $(bin)TbUTNoiseCalculatorFake.o $(bin)TbUTClusterCreatorFactory.o $(bin)TbUTTresholdProvider.o $(bin)TbUTCmsPerBeetle.o $(bin)TbUTAlibavaDataReader.o $(bin)TbUTRawDataReaderAlgorithm.o $(bin)TbUTCommonModeSubtractorAlgorithm.o $(bin)TbUTCMSLinear.o $(bin)TbUTSensor.o $(bin)TbUTPedestalSubtractorAlgorithm.o $(bin)TbUTRandomNoiseGenerator.o $(bin)TbUTNTupleCreator.o $(bin)TbUTNoiseCalculator.o $(bin)TbUTChannelMaskFileValidator.o $(bin)TbUTCMSIterativelyPerBeetle.o $(bin)TbUTClusterCreator.o $(bin)TbUTPedestalFollowingFactory.o $(bin)TbUTPedestalSubtractor.o $(bin)TbUTPedestalCalculator.o $(bin)TbUTCluster.o $(bin)TbUTAlibavaDataRetreiver.o $(bin)TbUTAlbavaFileValidator.o $(bin)TbAsciiRoot.o $(bin)ChanList.o $(bin)TbAlibavaHit.o $(bin)mamba_decoder.o)
	$(cleanup_silent) cd $(bin); /bin/rm -rf TbUT_deps TbUT_dependencies.make

#-----------------------------------------------------------------
#
#  New section for automatic installation
#
#-----------------------------------------------------------------

install_dir = ${CMTINSTALLAREA}/$(tag)/lib
TbUTinstallname = $(library_prefix)TbUT$(library_suffix).$(shlibsuffix)

TbUT :: TbUTinstall

install :: TbUTinstall

TbUTinstall :: $(install_dir)/$(TbUTinstallname)
ifdef CMTINSTALLAREA
	$(echo) "installation done"
endif

$(install_dir)/$(TbUTinstallname) :: $(bin)$(TbUTinstallname)
ifdef CMTINSTALLAREA
	$(install_silent) $(cmt_install_action) \
	    -source "`(cd $(bin); pwd)`" \
	    -name "$(TbUTinstallname)" \
	    -out "$(install_dir)" \
	    -cmd "$(cmt_installarea_command)" \
	    -cmtpath "$($(package)_cmtpath)"
endif

##TbUTclean :: TbUTuninstall

uninstall :: TbUTuninstall

TbUTuninstall ::
ifdef CMTINSTALLAREA
	$(cleanup_silent) $(cmt_uninstall_action) \
	    -source "`(cd $(bin); pwd)`" \
	    -name "$(TbUTinstallname)" \
	    -out "$(install_dir)" \
	    -cmtpath "$($(package)_cmtpath)"
endif

#-- end of libary -----------------------
#-- start of dependency ------------------
ifneq ($(MAKECMDGOALS),TbUTclean)
ifneq ($(MAKECMDGOALS),uninstall)

#$(bin)TbUT_dependencies.make :: dirs

ifndef QUICK
$(bin)TbUT_dependencies.make : $(src)TbUTRawDataMonitorAlgorithm.cpp $(src)TbUTClusterCreatorDataMonitorAlgorithm.cpp $(src)TbUTNoise.cpp $(src)TbUTCommonModeSubtractorDataMonitorAlgorithm.cpp $(src)TbUTNoiseCalculatorfactory.cpp $(src)TbUTPedestalSubtractorDataMonitorAlgorithm.cpp $(src)TbUTRawData.cpp $(src)TbUTDataMonitorAlgorithm.cpp $(src)TbUTPedestalRetreiver.cpp $(src)TbUTMambaDataReader.cpp $(src)TbUTCommonModeSubtractorFactory.cpp $(src)TbUTChannelMaskProvider.cpp $(src)TbUTPedestal.cpp $(src)TbUTPedestalFileValidator.cpp $(src)TbUTClusterCreatorAlgorithm.cpp $(src)TbUTRawDataFactory.cpp $(src)TbUTNoiseCalculatorFake.cpp $(src)TbUTClusterCreatorFactory.cpp $(src)TbUTTresholdProvider.cpp $(src)TbUTCmsPerBeetle.cpp $(src)TbUTAlibavaDataReader.cpp $(src)TbUTRawDataReaderAlgorithm.cpp $(src)TbUTCommonModeSubtractorAlgorithm.cpp $(src)TbUTCMSLinear.cpp $(src)TbUTSensor.cpp $(src)TbUTPedestalSubtractorAlgorithm.cpp $(src)TbUTRandomNoiseGenerator.cpp $(src)TbUTNTupleCreator.cpp $(src)TbUTNoiseCalculator.cpp $(src)TbUTChannelMaskFileValidator.cpp $(src)TbUTCMSIterativelyPerBeetle.cpp $(src)TbUTClusterCreator.cpp $(src)TbUTPedestalFollowingFactory.cpp $(src)TbUTPedestalSubtractor.cpp $(src)TbUTPedestalCalculator.cpp $(src)TbUTCluster.cpp $(src)TbUTAlibavaDataRetreiver.cpp $(src)TbUTAlbavaFileValidator.cpp $(src)alibava/TbAsciiRoot.cpp $(src)alibava/ChanList.cpp $(src)alibava/TbAlibavaHit.cpp $(src)mamba/mamba_decoder.cpp $(use_requirements) $(cmt_final_setup_TbUT)
	$(echo) "(TbUT.make) Rebuilding $@"; \
	  $(build_dependencies) TbUT -all_sources -out=$@ $(src)TbUTRawDataMonitorAlgorithm.cpp $(src)TbUTClusterCreatorDataMonitorAlgorithm.cpp $(src)TbUTNoise.cpp $(src)TbUTCommonModeSubtractorDataMonitorAlgorithm.cpp $(src)TbUTNoiseCalculatorfactory.cpp $(src)TbUTPedestalSubtractorDataMonitorAlgorithm.cpp $(src)TbUTRawData.cpp $(src)TbUTDataMonitorAlgorithm.cpp $(src)TbUTPedestalRetreiver.cpp $(src)TbUTMambaDataReader.cpp $(src)TbUTCommonModeSubtractorFactory.cpp $(src)TbUTChannelMaskProvider.cpp $(src)TbUTPedestal.cpp $(src)TbUTPedestalFileValidator.cpp $(src)TbUTClusterCreatorAlgorithm.cpp $(src)TbUTRawDataFactory.cpp $(src)TbUTNoiseCalculatorFake.cpp $(src)TbUTClusterCreatorFactory.cpp $(src)TbUTTresholdProvider.cpp $(src)TbUTCmsPerBeetle.cpp $(src)TbUTAlibavaDataReader.cpp $(src)TbUTRawDataReaderAlgorithm.cpp $(src)TbUTCommonModeSubtractorAlgorithm.cpp $(src)TbUTCMSLinear.cpp $(src)TbUTSensor.cpp $(src)TbUTPedestalSubtractorAlgorithm.cpp $(src)TbUTRandomNoiseGenerator.cpp $(src)TbUTNTupleCreator.cpp $(src)TbUTNoiseCalculator.cpp $(src)TbUTChannelMaskFileValidator.cpp $(src)TbUTCMSIterativelyPerBeetle.cpp $(src)TbUTClusterCreator.cpp $(src)TbUTPedestalFollowingFactory.cpp $(src)TbUTPedestalSubtractor.cpp $(src)TbUTPedestalCalculator.cpp $(src)TbUTCluster.cpp $(src)TbUTAlibavaDataRetreiver.cpp $(src)TbUTAlbavaFileValidator.cpp $(src)alibava/TbAsciiRoot.cpp $(src)alibava/ChanList.cpp $(src)alibava/TbAlibavaHit.cpp $(src)mamba/mamba_decoder.cpp
endif

#$(TbUT_dependencies)

-include $(bin)TbUT_dependencies.make

endif
endif
#-- end of dependency -------------------
#-- start of cpp_library -----------------

ifneq ($(MAKECMDGOALS),TbUTclean)
ifneq ($(MAKECMDGOALS),uninstall)
-include $(bin)$(binobj)TbUTRawDataMonitorAlgorithm.d
endif
endif


$(bin)$(binobj)TbUTRawDataMonitorAlgorithm.o $(bin)$(binobj)TbUTRawDataMonitorAlgorithm.d : $(src)TbUTRawDataMonitorAlgorithm.cpp  $(use_requirements) $(cmt_final_setup_TbUT)
	$(cpp_echo) $(src)TbUTRawDataMonitorAlgorithm.cpp
	@mkdir -p $(@D)
	$(cpp_silent) $(cppcomp) $(use_pp_cppflags) $(TbUT_pp_cppflags) $(app_TbUT_pp_cppflags) $(TbUTRawDataMonitorAlgorithm_pp_cppflags) $(use_cppflags) $(TbUT_cppflags) $(lib_TbUT_cppflags) $(app_TbUT_cppflags) $(TbUTRawDataMonitorAlgorithm_cppflags) $(TbUTRawDataMonitorAlgorithm_cpp_cppflags)  -MP -MMD -MT $(bin)$(binobj)TbUTRawDataMonitorAlgorithm.o -MT $(bin)$(binobj)TbUTRawDataMonitorAlgorithm.d -MF $(bin)$(binobj)TbUTRawDataMonitorAlgorithm.d -o $(bin)$(binobj)TbUTRawDataMonitorAlgorithm.o $(src)TbUTRawDataMonitorAlgorithm.cpp


#-- end of cpp_library ------------------
#-- start of cpp_library -----------------

ifneq ($(MAKECMDGOALS),TbUTclean)
ifneq ($(MAKECMDGOALS),uninstall)
-include $(bin)$(binobj)TbUTClusterCreatorDataMonitorAlgorithm.d
endif
endif


$(bin)$(binobj)TbUTClusterCreatorDataMonitorAlgorithm.o $(bin)$(binobj)TbUTClusterCreatorDataMonitorAlgorithm.d : $(src)TbUTClusterCreatorDataMonitorAlgorithm.cpp  $(use_requirements) $(cmt_final_setup_TbUT)
	$(cpp_echo) $(src)TbUTClusterCreatorDataMonitorAlgorithm.cpp
	@mkdir -p $(@D)
	$(cpp_silent) $(cppcomp) $(use_pp_cppflags) $(TbUT_pp_cppflags) $(app_TbUT_pp_cppflags) $(TbUTClusterCreatorDataMonitorAlgorithm_pp_cppflags) $(use_cppflags) $(TbUT_cppflags) $(lib_TbUT_cppflags) $(app_TbUT_cppflags) $(TbUTClusterCreatorDataMonitorAlgorithm_cppflags) $(TbUTClusterCreatorDataMonitorAlgorithm_cpp_cppflags)  -MP -MMD -MT $(bin)$(binobj)TbUTClusterCreatorDataMonitorAlgorithm.o -MT $(bin)$(binobj)TbUTClusterCreatorDataMonitorAlgorithm.d -MF $(bin)$(binobj)TbUTClusterCreatorDataMonitorAlgorithm.d -o $(bin)$(binobj)TbUTClusterCreatorDataMonitorAlgorithm.o $(src)TbUTClusterCreatorDataMonitorAlgorithm.cpp


#-- end of cpp_library ------------------
#-- start of cpp_library -----------------

ifneq ($(MAKECMDGOALS),TbUTclean)
ifneq ($(MAKECMDGOALS),uninstall)
-include $(bin)$(binobj)TbUTNoise.d
endif
endif


$(bin)$(binobj)TbUTNoise.o $(bin)$(binobj)TbUTNoise.d : $(src)TbUTNoise.cpp  $(use_requirements) $(cmt_final_setup_TbUT)
	$(cpp_echo) $(src)TbUTNoise.cpp
	@mkdir -p $(@D)
	$(cpp_silent) $(cppcomp) $(use_pp_cppflags) $(TbUT_pp_cppflags) $(app_TbUT_pp_cppflags) $(TbUTNoise_pp_cppflags) $(use_cppflags) $(TbUT_cppflags) $(lib_TbUT_cppflags) $(app_TbUT_cppflags) $(TbUTNoise_cppflags) $(TbUTNoise_cpp_cppflags)  -MP -MMD -MT $(bin)$(binobj)TbUTNoise.o -MT $(bin)$(binobj)TbUTNoise.d -MF $(bin)$(binobj)TbUTNoise.d -o $(bin)$(binobj)TbUTNoise.o $(src)TbUTNoise.cpp


#-- end of cpp_library ------------------
#-- start of cpp_library -----------------

ifneq ($(MAKECMDGOALS),TbUTclean)
ifneq ($(MAKECMDGOALS),uninstall)
-include $(bin)$(binobj)TbUTCommonModeSubtractorDataMonitorAlgorithm.d
endif
endif


$(bin)$(binobj)TbUTCommonModeSubtractorDataMonitorAlgorithm.o $(bin)$(binobj)TbUTCommonModeSubtractorDataMonitorAlgorithm.d : $(src)TbUTCommonModeSubtractorDataMonitorAlgorithm.cpp  $(use_requirements) $(cmt_final_setup_TbUT)
	$(cpp_echo) $(src)TbUTCommonModeSubtractorDataMonitorAlgorithm.cpp
	@mkdir -p $(@D)
	$(cpp_silent) $(cppcomp) $(use_pp_cppflags) $(TbUT_pp_cppflags) $(app_TbUT_pp_cppflags) $(TbUTCommonModeSubtractorDataMonitorAlgorithm_pp_cppflags) $(use_cppflags) $(TbUT_cppflags) $(lib_TbUT_cppflags) $(app_TbUT_cppflags) $(TbUTCommonModeSubtractorDataMonitorAlgorithm_cppflags) $(TbUTCommonModeSubtractorDataMonitorAlgorithm_cpp_cppflags)  -MP -MMD -MT $(bin)$(binobj)TbUTCommonModeSubtractorDataMonitorAlgorithm.o -MT $(bin)$(binobj)TbUTCommonModeSubtractorDataMonitorAlgorithm.d -MF $(bin)$(binobj)TbUTCommonModeSubtractorDataMonitorAlgorithm.d -o $(bin)$(binobj)TbUTCommonModeSubtractorDataMonitorAlgorithm.o $(src)TbUTCommonModeSubtractorDataMonitorAlgorithm.cpp


#-- end of cpp_library ------------------
#-- start of cpp_library -----------------

ifneq ($(MAKECMDGOALS),TbUTclean)
ifneq ($(MAKECMDGOALS),uninstall)
-include $(bin)$(binobj)TbUTNoiseCalculatorfactory.d
endif
endif


$(bin)$(binobj)TbUTNoiseCalculatorfactory.o $(bin)$(binobj)TbUTNoiseCalculatorfactory.d : $(src)TbUTNoiseCalculatorfactory.cpp  $(use_requirements) $(cmt_final_setup_TbUT)
	$(cpp_echo) $(src)TbUTNoiseCalculatorfactory.cpp
	@mkdir -p $(@D)
	$(cpp_silent) $(cppcomp) $(use_pp_cppflags) $(TbUT_pp_cppflags) $(app_TbUT_pp_cppflags) $(TbUTNoiseCalculatorfactory_pp_cppflags) $(use_cppflags) $(TbUT_cppflags) $(lib_TbUT_cppflags) $(app_TbUT_cppflags) $(TbUTNoiseCalculatorfactory_cppflags) $(TbUTNoiseCalculatorfactory_cpp_cppflags)  -MP -MMD -MT $(bin)$(binobj)TbUTNoiseCalculatorfactory.o -MT $(bin)$(binobj)TbUTNoiseCalculatorfactory.d -MF $(bin)$(binobj)TbUTNoiseCalculatorfactory.d -o $(bin)$(binobj)TbUTNoiseCalculatorfactory.o $(src)TbUTNoiseCalculatorfactory.cpp


#-- end of cpp_library ------------------
#-- start of cpp_library -----------------

ifneq ($(MAKECMDGOALS),TbUTclean)
ifneq ($(MAKECMDGOALS),uninstall)
-include $(bin)$(binobj)TbUTPedestalSubtractorDataMonitorAlgorithm.d
endif
endif


$(bin)$(binobj)TbUTPedestalSubtractorDataMonitorAlgorithm.o $(bin)$(binobj)TbUTPedestalSubtractorDataMonitorAlgorithm.d : $(src)TbUTPedestalSubtractorDataMonitorAlgorithm.cpp  $(use_requirements) $(cmt_final_setup_TbUT)
	$(cpp_echo) $(src)TbUTPedestalSubtractorDataMonitorAlgorithm.cpp
	@mkdir -p $(@D)
	$(cpp_silent) $(cppcomp) $(use_pp_cppflags) $(TbUT_pp_cppflags) $(app_TbUT_pp_cppflags) $(TbUTPedestalSubtractorDataMonitorAlgorithm_pp_cppflags) $(use_cppflags) $(TbUT_cppflags) $(lib_TbUT_cppflags) $(app_TbUT_cppflags) $(TbUTPedestalSubtractorDataMonitorAlgorithm_cppflags) $(TbUTPedestalSubtractorDataMonitorAlgorithm_cpp_cppflags)  -MP -MMD -MT $(bin)$(binobj)TbUTPedestalSubtractorDataMonitorAlgorithm.o -MT $(bin)$(binobj)TbUTPedestalSubtractorDataMonitorAlgorithm.d -MF $(bin)$(binobj)TbUTPedestalSubtractorDataMonitorAlgorithm.d -o $(bin)$(binobj)TbUTPedestalSubtractorDataMonitorAlgorithm.o $(src)TbUTPedestalSubtractorDataMonitorAlgorithm.cpp


#-- end of cpp_library ------------------
#-- start of cpp_library -----------------

ifneq ($(MAKECMDGOALS),TbUTclean)
ifneq ($(MAKECMDGOALS),uninstall)
-include $(bin)$(binobj)TbUTRawData.d
endif
endif


$(bin)$(binobj)TbUTRawData.o $(bin)$(binobj)TbUTRawData.d : $(src)TbUTRawData.cpp  $(use_requirements) $(cmt_final_setup_TbUT)
	$(cpp_echo) $(src)TbUTRawData.cpp
	@mkdir -p $(@D)
	$(cpp_silent) $(cppcomp) $(use_pp_cppflags) $(TbUT_pp_cppflags) $(app_TbUT_pp_cppflags) $(TbUTRawData_pp_cppflags) $(use_cppflags) $(TbUT_cppflags) $(lib_TbUT_cppflags) $(app_TbUT_cppflags) $(TbUTRawData_cppflags) $(TbUTRawData_cpp_cppflags)  -MP -MMD -MT $(bin)$(binobj)TbUTRawData.o -MT $(bin)$(binobj)TbUTRawData.d -MF $(bin)$(binobj)TbUTRawData.d -o $(bin)$(binobj)TbUTRawData.o $(src)TbUTRawData.cpp


#-- end of cpp_library ------------------
#-- start of cpp_library -----------------

ifneq ($(MAKECMDGOALS),TbUTclean)
ifneq ($(MAKECMDGOALS),uninstall)
-include $(bin)$(binobj)TbUTDataMonitorAlgorithm.d
endif
endif


$(bin)$(binobj)TbUTDataMonitorAlgorithm.o $(bin)$(binobj)TbUTDataMonitorAlgorithm.d : $(src)TbUTDataMonitorAlgorithm.cpp  $(use_requirements) $(cmt_final_setup_TbUT)
	$(cpp_echo) $(src)TbUTDataMonitorAlgorithm.cpp
	@mkdir -p $(@D)
	$(cpp_silent) $(cppcomp) $(use_pp_cppflags) $(TbUT_pp_cppflags) $(app_TbUT_pp_cppflags) $(TbUTDataMonitorAlgorithm_pp_cppflags) $(use_cppflags) $(TbUT_cppflags) $(lib_TbUT_cppflags) $(app_TbUT_cppflags) $(TbUTDataMonitorAlgorithm_cppflags) $(TbUTDataMonitorAlgorithm_cpp_cppflags)  -MP -MMD -MT $(bin)$(binobj)TbUTDataMonitorAlgorithm.o -MT $(bin)$(binobj)TbUTDataMonitorAlgorithm.d -MF $(bin)$(binobj)TbUTDataMonitorAlgorithm.d -o $(bin)$(binobj)TbUTDataMonitorAlgorithm.o $(src)TbUTDataMonitorAlgorithm.cpp


#-- end of cpp_library ------------------
#-- start of cpp_library -----------------

ifneq ($(MAKECMDGOALS),TbUTclean)
ifneq ($(MAKECMDGOALS),uninstall)
-include $(bin)$(binobj)TbUTPedestalRetreiver.d
endif
endif


$(bin)$(binobj)TbUTPedestalRetreiver.o $(bin)$(binobj)TbUTPedestalRetreiver.d : $(src)TbUTPedestalRetreiver.cpp  $(use_requirements) $(cmt_final_setup_TbUT)
	$(cpp_echo) $(src)TbUTPedestalRetreiver.cpp
	@mkdir -p $(@D)
	$(cpp_silent) $(cppcomp) $(use_pp_cppflags) $(TbUT_pp_cppflags) $(app_TbUT_pp_cppflags) $(TbUTPedestalRetreiver_pp_cppflags) $(use_cppflags) $(TbUT_cppflags) $(lib_TbUT_cppflags) $(app_TbUT_cppflags) $(TbUTPedestalRetreiver_cppflags) $(TbUTPedestalRetreiver_cpp_cppflags)  -MP -MMD -MT $(bin)$(binobj)TbUTPedestalRetreiver.o -MT $(bin)$(binobj)TbUTPedestalRetreiver.d -MF $(bin)$(binobj)TbUTPedestalRetreiver.d -o $(bin)$(binobj)TbUTPedestalRetreiver.o $(src)TbUTPedestalRetreiver.cpp


#-- end of cpp_library ------------------
#-- start of cpp_library -----------------

ifneq ($(MAKECMDGOALS),TbUTclean)
ifneq ($(MAKECMDGOALS),uninstall)
-include $(bin)$(binobj)TbUTMambaDataReader.d
endif
endif


$(bin)$(binobj)TbUTMambaDataReader.o $(bin)$(binobj)TbUTMambaDataReader.d : $(src)TbUTMambaDataReader.cpp  $(use_requirements) $(cmt_final_setup_TbUT)
	$(cpp_echo) $(src)TbUTMambaDataReader.cpp
	@mkdir -p $(@D)
	$(cpp_silent) $(cppcomp) $(use_pp_cppflags) $(TbUT_pp_cppflags) $(app_TbUT_pp_cppflags) $(TbUTMambaDataReader_pp_cppflags) $(use_cppflags) $(TbUT_cppflags) $(lib_TbUT_cppflags) $(app_TbUT_cppflags) $(TbUTMambaDataReader_cppflags) $(TbUTMambaDataReader_cpp_cppflags)  -MP -MMD -MT $(bin)$(binobj)TbUTMambaDataReader.o -MT $(bin)$(binobj)TbUTMambaDataReader.d -MF $(bin)$(binobj)TbUTMambaDataReader.d -o $(bin)$(binobj)TbUTMambaDataReader.o $(src)TbUTMambaDataReader.cpp


#-- end of cpp_library ------------------
#-- start of cpp_library -----------------

ifneq ($(MAKECMDGOALS),TbUTclean)
ifneq ($(MAKECMDGOALS),uninstall)
-include $(bin)$(binobj)TbUTCommonModeSubtractorFactory.d
endif
endif


$(bin)$(binobj)TbUTCommonModeSubtractorFactory.o $(bin)$(binobj)TbUTCommonModeSubtractorFactory.d : $(src)TbUTCommonModeSubtractorFactory.cpp  $(use_requirements) $(cmt_final_setup_TbUT)
	$(cpp_echo) $(src)TbUTCommonModeSubtractorFactory.cpp
	@mkdir -p $(@D)
	$(cpp_silent) $(cppcomp) $(use_pp_cppflags) $(TbUT_pp_cppflags) $(app_TbUT_pp_cppflags) $(TbUTCommonModeSubtractorFactory_pp_cppflags) $(use_cppflags) $(TbUT_cppflags) $(lib_TbUT_cppflags) $(app_TbUT_cppflags) $(TbUTCommonModeSubtractorFactory_cppflags) $(TbUTCommonModeSubtractorFactory_cpp_cppflags)  -MP -MMD -MT $(bin)$(binobj)TbUTCommonModeSubtractorFactory.o -MT $(bin)$(binobj)TbUTCommonModeSubtractorFactory.d -MF $(bin)$(binobj)TbUTCommonModeSubtractorFactory.d -o $(bin)$(binobj)TbUTCommonModeSubtractorFactory.o $(src)TbUTCommonModeSubtractorFactory.cpp


#-- end of cpp_library ------------------
#-- start of cpp_library -----------------

ifneq ($(MAKECMDGOALS),TbUTclean)
ifneq ($(MAKECMDGOALS),uninstall)
-include $(bin)$(binobj)TbUTChannelMaskProvider.d
endif
endif


$(bin)$(binobj)TbUTChannelMaskProvider.o $(bin)$(binobj)TbUTChannelMaskProvider.d : $(src)TbUTChannelMaskProvider.cpp  $(use_requirements) $(cmt_final_setup_TbUT)
	$(cpp_echo) $(src)TbUTChannelMaskProvider.cpp
	@mkdir -p $(@D)
	$(cpp_silent) $(cppcomp) $(use_pp_cppflags) $(TbUT_pp_cppflags) $(app_TbUT_pp_cppflags) $(TbUTChannelMaskProvider_pp_cppflags) $(use_cppflags) $(TbUT_cppflags) $(lib_TbUT_cppflags) $(app_TbUT_cppflags) $(TbUTChannelMaskProvider_cppflags) $(TbUTChannelMaskProvider_cpp_cppflags)  -MP -MMD -MT $(bin)$(binobj)TbUTChannelMaskProvider.o -MT $(bin)$(binobj)TbUTChannelMaskProvider.d -MF $(bin)$(binobj)TbUTChannelMaskProvider.d -o $(bin)$(binobj)TbUTChannelMaskProvider.o $(src)TbUTChannelMaskProvider.cpp


#-- end of cpp_library ------------------
#-- start of cpp_library -----------------

ifneq ($(MAKECMDGOALS),TbUTclean)
ifneq ($(MAKECMDGOALS),uninstall)
-include $(bin)$(binobj)TbUTPedestal.d
endif
endif


$(bin)$(binobj)TbUTPedestal.o $(bin)$(binobj)TbUTPedestal.d : $(src)TbUTPedestal.cpp  $(use_requirements) $(cmt_final_setup_TbUT)
	$(cpp_echo) $(src)TbUTPedestal.cpp
	@mkdir -p $(@D)
	$(cpp_silent) $(cppcomp) $(use_pp_cppflags) $(TbUT_pp_cppflags) $(app_TbUT_pp_cppflags) $(TbUTPedestal_pp_cppflags) $(use_cppflags) $(TbUT_cppflags) $(lib_TbUT_cppflags) $(app_TbUT_cppflags) $(TbUTPedestal_cppflags) $(TbUTPedestal_cpp_cppflags)  -MP -MMD -MT $(bin)$(binobj)TbUTPedestal.o -MT $(bin)$(binobj)TbUTPedestal.d -MF $(bin)$(binobj)TbUTPedestal.d -o $(bin)$(binobj)TbUTPedestal.o $(src)TbUTPedestal.cpp


#-- end of cpp_library ------------------
#-- start of cpp_library -----------------

ifneq ($(MAKECMDGOALS),TbUTclean)
ifneq ($(MAKECMDGOALS),uninstall)
-include $(bin)$(binobj)TbUTPedestalFileValidator.d
endif
endif


$(bin)$(binobj)TbUTPedestalFileValidator.o $(bin)$(binobj)TbUTPedestalFileValidator.d : $(src)TbUTPedestalFileValidator.cpp  $(use_requirements) $(cmt_final_setup_TbUT)
	$(cpp_echo) $(src)TbUTPedestalFileValidator.cpp
	@mkdir -p $(@D)
	$(cpp_silent) $(cppcomp) $(use_pp_cppflags) $(TbUT_pp_cppflags) $(app_TbUT_pp_cppflags) $(TbUTPedestalFileValidator_pp_cppflags) $(use_cppflags) $(TbUT_cppflags) $(lib_TbUT_cppflags) $(app_TbUT_cppflags) $(TbUTPedestalFileValidator_cppflags) $(TbUTPedestalFileValidator_cpp_cppflags)  -MP -MMD -MT $(bin)$(binobj)TbUTPedestalFileValidator.o -MT $(bin)$(binobj)TbUTPedestalFileValidator.d -MF $(bin)$(binobj)TbUTPedestalFileValidator.d -o $(bin)$(binobj)TbUTPedestalFileValidator.o $(src)TbUTPedestalFileValidator.cpp


#-- end of cpp_library ------------------
#-- start of cpp_library -----------------

ifneq ($(MAKECMDGOALS),TbUTclean)
ifneq ($(MAKECMDGOALS),uninstall)
-include $(bin)$(binobj)TbUTClusterCreatorAlgorithm.d
endif
endif


$(bin)$(binobj)TbUTClusterCreatorAlgorithm.o $(bin)$(binobj)TbUTClusterCreatorAlgorithm.d : $(src)TbUTClusterCreatorAlgorithm.cpp  $(use_requirements) $(cmt_final_setup_TbUT)
	$(cpp_echo) $(src)TbUTClusterCreatorAlgorithm.cpp
	@mkdir -p $(@D)
	$(cpp_silent) $(cppcomp) $(use_pp_cppflags) $(TbUT_pp_cppflags) $(app_TbUT_pp_cppflags) $(TbUTClusterCreatorAlgorithm_pp_cppflags) $(use_cppflags) $(TbUT_cppflags) $(lib_TbUT_cppflags) $(app_TbUT_cppflags) $(TbUTClusterCreatorAlgorithm_cppflags) $(TbUTClusterCreatorAlgorithm_cpp_cppflags)  -MP -MMD -MT $(bin)$(binobj)TbUTClusterCreatorAlgorithm.o -MT $(bin)$(binobj)TbUTClusterCreatorAlgorithm.d -MF $(bin)$(binobj)TbUTClusterCreatorAlgorithm.d -o $(bin)$(binobj)TbUTClusterCreatorAlgorithm.o $(src)TbUTClusterCreatorAlgorithm.cpp


#-- end of cpp_library ------------------
#-- start of cpp_library -----------------

ifneq ($(MAKECMDGOALS),TbUTclean)
ifneq ($(MAKECMDGOALS),uninstall)
-include $(bin)$(binobj)TbUTRawDataFactory.d
endif
endif


$(bin)$(binobj)TbUTRawDataFactory.o $(bin)$(binobj)TbUTRawDataFactory.d : $(src)TbUTRawDataFactory.cpp  $(use_requirements) $(cmt_final_setup_TbUT)
	$(cpp_echo) $(src)TbUTRawDataFactory.cpp
	@mkdir -p $(@D)
	$(cpp_silent) $(cppcomp) $(use_pp_cppflags) $(TbUT_pp_cppflags) $(app_TbUT_pp_cppflags) $(TbUTRawDataFactory_pp_cppflags) $(use_cppflags) $(TbUT_cppflags) $(lib_TbUT_cppflags) $(app_TbUT_cppflags) $(TbUTRawDataFactory_cppflags) $(TbUTRawDataFactory_cpp_cppflags)  -MP -MMD -MT $(bin)$(binobj)TbUTRawDataFactory.o -MT $(bin)$(binobj)TbUTRawDataFactory.d -MF $(bin)$(binobj)TbUTRawDataFactory.d -o $(bin)$(binobj)TbUTRawDataFactory.o $(src)TbUTRawDataFactory.cpp


#-- end of cpp_library ------------------
#-- start of cpp_library -----------------

ifneq ($(MAKECMDGOALS),TbUTclean)
ifneq ($(MAKECMDGOALS),uninstall)
-include $(bin)$(binobj)TbUTNoiseCalculatorFake.d
endif
endif


$(bin)$(binobj)TbUTNoiseCalculatorFake.o $(bin)$(binobj)TbUTNoiseCalculatorFake.d : $(src)TbUTNoiseCalculatorFake.cpp  $(use_requirements) $(cmt_final_setup_TbUT)
	$(cpp_echo) $(src)TbUTNoiseCalculatorFake.cpp
	@mkdir -p $(@D)
	$(cpp_silent) $(cppcomp) $(use_pp_cppflags) $(TbUT_pp_cppflags) $(app_TbUT_pp_cppflags) $(TbUTNoiseCalculatorFake_pp_cppflags) $(use_cppflags) $(TbUT_cppflags) $(lib_TbUT_cppflags) $(app_TbUT_cppflags) $(TbUTNoiseCalculatorFake_cppflags) $(TbUTNoiseCalculatorFake_cpp_cppflags)  -MP -MMD -MT $(bin)$(binobj)TbUTNoiseCalculatorFake.o -MT $(bin)$(binobj)TbUTNoiseCalculatorFake.d -MF $(bin)$(binobj)TbUTNoiseCalculatorFake.d -o $(bin)$(binobj)TbUTNoiseCalculatorFake.o $(src)TbUTNoiseCalculatorFake.cpp


#-- end of cpp_library ------------------
#-- start of cpp_library -----------------

ifneq ($(MAKECMDGOALS),TbUTclean)
ifneq ($(MAKECMDGOALS),uninstall)
-include $(bin)$(binobj)TbUTClusterCreatorFactory.d
endif
endif


$(bin)$(binobj)TbUTClusterCreatorFactory.o $(bin)$(binobj)TbUTClusterCreatorFactory.d : $(src)TbUTClusterCreatorFactory.cpp  $(use_requirements) $(cmt_final_setup_TbUT)
	$(cpp_echo) $(src)TbUTClusterCreatorFactory.cpp
	@mkdir -p $(@D)
	$(cpp_silent) $(cppcomp) $(use_pp_cppflags) $(TbUT_pp_cppflags) $(app_TbUT_pp_cppflags) $(TbUTClusterCreatorFactory_pp_cppflags) $(use_cppflags) $(TbUT_cppflags) $(lib_TbUT_cppflags) $(app_TbUT_cppflags) $(TbUTClusterCreatorFactory_cppflags) $(TbUTClusterCreatorFactory_cpp_cppflags)  -MP -MMD -MT $(bin)$(binobj)TbUTClusterCreatorFactory.o -MT $(bin)$(binobj)TbUTClusterCreatorFactory.d -MF $(bin)$(binobj)TbUTClusterCreatorFactory.d -o $(bin)$(binobj)TbUTClusterCreatorFactory.o $(src)TbUTClusterCreatorFactory.cpp


#-- end of cpp_library ------------------
#-- start of cpp_library -----------------

ifneq ($(MAKECMDGOALS),TbUTclean)
ifneq ($(MAKECMDGOALS),uninstall)
-include $(bin)$(binobj)TbUTTresholdProvider.d
endif
endif


$(bin)$(binobj)TbUTTresholdProvider.o $(bin)$(binobj)TbUTTresholdProvider.d : $(src)TbUTTresholdProvider.cpp  $(use_requirements) $(cmt_final_setup_TbUT)
	$(cpp_echo) $(src)TbUTTresholdProvider.cpp
	@mkdir -p $(@D)
	$(cpp_silent) $(cppcomp) $(use_pp_cppflags) $(TbUT_pp_cppflags) $(app_TbUT_pp_cppflags) $(TbUTTresholdProvider_pp_cppflags) $(use_cppflags) $(TbUT_cppflags) $(lib_TbUT_cppflags) $(app_TbUT_cppflags) $(TbUTTresholdProvider_cppflags) $(TbUTTresholdProvider_cpp_cppflags)  -MP -MMD -MT $(bin)$(binobj)TbUTTresholdProvider.o -MT $(bin)$(binobj)TbUTTresholdProvider.d -MF $(bin)$(binobj)TbUTTresholdProvider.d -o $(bin)$(binobj)TbUTTresholdProvider.o $(src)TbUTTresholdProvider.cpp


#-- end of cpp_library ------------------
#-- start of cpp_library -----------------

ifneq ($(MAKECMDGOALS),TbUTclean)
ifneq ($(MAKECMDGOALS),uninstall)
-include $(bin)$(binobj)TbUTCmsPerBeetle.d
endif
endif


$(bin)$(binobj)TbUTCmsPerBeetle.o $(bin)$(binobj)TbUTCmsPerBeetle.d : $(src)TbUTCmsPerBeetle.cpp  $(use_requirements) $(cmt_final_setup_TbUT)
	$(cpp_echo) $(src)TbUTCmsPerBeetle.cpp
	@mkdir -p $(@D)
	$(cpp_silent) $(cppcomp) $(use_pp_cppflags) $(TbUT_pp_cppflags) $(app_TbUT_pp_cppflags) $(TbUTCmsPerBeetle_pp_cppflags) $(use_cppflags) $(TbUT_cppflags) $(lib_TbUT_cppflags) $(app_TbUT_cppflags) $(TbUTCmsPerBeetle_cppflags) $(TbUTCmsPerBeetle_cpp_cppflags)  -MP -MMD -MT $(bin)$(binobj)TbUTCmsPerBeetle.o -MT $(bin)$(binobj)TbUTCmsPerBeetle.d -MF $(bin)$(binobj)TbUTCmsPerBeetle.d -o $(bin)$(binobj)TbUTCmsPerBeetle.o $(src)TbUTCmsPerBeetle.cpp


#-- end of cpp_library ------------------
#-- start of cpp_library -----------------

ifneq ($(MAKECMDGOALS),TbUTclean)
ifneq ($(MAKECMDGOALS),uninstall)
-include $(bin)$(binobj)TbUTAlibavaDataReader.d
endif
endif


$(bin)$(binobj)TbUTAlibavaDataReader.o $(bin)$(binobj)TbUTAlibavaDataReader.d : $(src)TbUTAlibavaDataReader.cpp  $(use_requirements) $(cmt_final_setup_TbUT)
	$(cpp_echo) $(src)TbUTAlibavaDataReader.cpp
	@mkdir -p $(@D)
	$(cpp_silent) $(cppcomp) $(use_pp_cppflags) $(TbUT_pp_cppflags) $(app_TbUT_pp_cppflags) $(TbUTAlibavaDataReader_pp_cppflags) $(use_cppflags) $(TbUT_cppflags) $(lib_TbUT_cppflags) $(app_TbUT_cppflags) $(TbUTAlibavaDataReader_cppflags) $(TbUTAlibavaDataReader_cpp_cppflags)  -MP -MMD -MT $(bin)$(binobj)TbUTAlibavaDataReader.o -MT $(bin)$(binobj)TbUTAlibavaDataReader.d -MF $(bin)$(binobj)TbUTAlibavaDataReader.d -o $(bin)$(binobj)TbUTAlibavaDataReader.o $(src)TbUTAlibavaDataReader.cpp


#-- end of cpp_library ------------------
#-- start of cpp_library -----------------

ifneq ($(MAKECMDGOALS),TbUTclean)
ifneq ($(MAKECMDGOALS),uninstall)
-include $(bin)$(binobj)TbUTRawDataReaderAlgorithm.d
endif
endif


$(bin)$(binobj)TbUTRawDataReaderAlgorithm.o $(bin)$(binobj)TbUTRawDataReaderAlgorithm.d : $(src)TbUTRawDataReaderAlgorithm.cpp  $(use_requirements) $(cmt_final_setup_TbUT)
	$(cpp_echo) $(src)TbUTRawDataReaderAlgorithm.cpp
	@mkdir -p $(@D)
	$(cpp_silent) $(cppcomp) $(use_pp_cppflags) $(TbUT_pp_cppflags) $(app_TbUT_pp_cppflags) $(TbUTRawDataReaderAlgorithm_pp_cppflags) $(use_cppflags) $(TbUT_cppflags) $(lib_TbUT_cppflags) $(app_TbUT_cppflags) $(TbUTRawDataReaderAlgorithm_cppflags) $(TbUTRawDataReaderAlgorithm_cpp_cppflags)  -MP -MMD -MT $(bin)$(binobj)TbUTRawDataReaderAlgorithm.o -MT $(bin)$(binobj)TbUTRawDataReaderAlgorithm.d -MF $(bin)$(binobj)TbUTRawDataReaderAlgorithm.d -o $(bin)$(binobj)TbUTRawDataReaderAlgorithm.o $(src)TbUTRawDataReaderAlgorithm.cpp


#-- end of cpp_library ------------------
#-- start of cpp_library -----------------

ifneq ($(MAKECMDGOALS),TbUTclean)
ifneq ($(MAKECMDGOALS),uninstall)
-include $(bin)$(binobj)TbUTCommonModeSubtractorAlgorithm.d
endif
endif


$(bin)$(binobj)TbUTCommonModeSubtractorAlgorithm.o $(bin)$(binobj)TbUTCommonModeSubtractorAlgorithm.d : $(src)TbUTCommonModeSubtractorAlgorithm.cpp  $(use_requirements) $(cmt_final_setup_TbUT)
	$(cpp_echo) $(src)TbUTCommonModeSubtractorAlgorithm.cpp
	@mkdir -p $(@D)
	$(cpp_silent) $(cppcomp) $(use_pp_cppflags) $(TbUT_pp_cppflags) $(app_TbUT_pp_cppflags) $(TbUTCommonModeSubtractorAlgorithm_pp_cppflags) $(use_cppflags) $(TbUT_cppflags) $(lib_TbUT_cppflags) $(app_TbUT_cppflags) $(TbUTCommonModeSubtractorAlgorithm_cppflags) $(TbUTCommonModeSubtractorAlgorithm_cpp_cppflags)  -MP -MMD -MT $(bin)$(binobj)TbUTCommonModeSubtractorAlgorithm.o -MT $(bin)$(binobj)TbUTCommonModeSubtractorAlgorithm.d -MF $(bin)$(binobj)TbUTCommonModeSubtractorAlgorithm.d -o $(bin)$(binobj)TbUTCommonModeSubtractorAlgorithm.o $(src)TbUTCommonModeSubtractorAlgorithm.cpp


#-- end of cpp_library ------------------
#-- start of cpp_library -----------------

ifneq ($(MAKECMDGOALS),TbUTclean)
ifneq ($(MAKECMDGOALS),uninstall)
-include $(bin)$(binobj)TbUTCMSLinear.d
endif
endif


$(bin)$(binobj)TbUTCMSLinear.o $(bin)$(binobj)TbUTCMSLinear.d : $(src)TbUTCMSLinear.cpp  $(use_requirements) $(cmt_final_setup_TbUT)
	$(cpp_echo) $(src)TbUTCMSLinear.cpp
	@mkdir -p $(@D)
	$(cpp_silent) $(cppcomp) $(use_pp_cppflags) $(TbUT_pp_cppflags) $(app_TbUT_pp_cppflags) $(TbUTCMSLinear_pp_cppflags) $(use_cppflags) $(TbUT_cppflags) $(lib_TbUT_cppflags) $(app_TbUT_cppflags) $(TbUTCMSLinear_cppflags) $(TbUTCMSLinear_cpp_cppflags)  -MP -MMD -MT $(bin)$(binobj)TbUTCMSLinear.o -MT $(bin)$(binobj)TbUTCMSLinear.d -MF $(bin)$(binobj)TbUTCMSLinear.d -o $(bin)$(binobj)TbUTCMSLinear.o $(src)TbUTCMSLinear.cpp


#-- end of cpp_library ------------------
#-- start of cpp_library -----------------

ifneq ($(MAKECMDGOALS),TbUTclean)
ifneq ($(MAKECMDGOALS),uninstall)
-include $(bin)$(binobj)TbUTSensor.d
endif
endif


$(bin)$(binobj)TbUTSensor.o $(bin)$(binobj)TbUTSensor.d : $(src)TbUTSensor.cpp  $(use_requirements) $(cmt_final_setup_TbUT)
	$(cpp_echo) $(src)TbUTSensor.cpp
	@mkdir -p $(@D)
	$(cpp_silent) $(cppcomp) $(use_pp_cppflags) $(TbUT_pp_cppflags) $(app_TbUT_pp_cppflags) $(TbUTSensor_pp_cppflags) $(use_cppflags) $(TbUT_cppflags) $(lib_TbUT_cppflags) $(app_TbUT_cppflags) $(TbUTSensor_cppflags) $(TbUTSensor_cpp_cppflags)  -MP -MMD -MT $(bin)$(binobj)TbUTSensor.o -MT $(bin)$(binobj)TbUTSensor.d -MF $(bin)$(binobj)TbUTSensor.d -o $(bin)$(binobj)TbUTSensor.o $(src)TbUTSensor.cpp


#-- end of cpp_library ------------------
#-- start of cpp_library -----------------

ifneq ($(MAKECMDGOALS),TbUTclean)
ifneq ($(MAKECMDGOALS),uninstall)
-include $(bin)$(binobj)TbUTPedestalSubtractorAlgorithm.d
endif
endif


$(bin)$(binobj)TbUTPedestalSubtractorAlgorithm.o $(bin)$(binobj)TbUTPedestalSubtractorAlgorithm.d : $(src)TbUTPedestalSubtractorAlgorithm.cpp  $(use_requirements) $(cmt_final_setup_TbUT)
	$(cpp_echo) $(src)TbUTPedestalSubtractorAlgorithm.cpp
	@mkdir -p $(@D)
	$(cpp_silent) $(cppcomp) $(use_pp_cppflags) $(TbUT_pp_cppflags) $(app_TbUT_pp_cppflags) $(TbUTPedestalSubtractorAlgorithm_pp_cppflags) $(use_cppflags) $(TbUT_cppflags) $(lib_TbUT_cppflags) $(app_TbUT_cppflags) $(TbUTPedestalSubtractorAlgorithm_cppflags) $(TbUTPedestalSubtractorAlgorithm_cpp_cppflags)  -MP -MMD -MT $(bin)$(binobj)TbUTPedestalSubtractorAlgorithm.o -MT $(bin)$(binobj)TbUTPedestalSubtractorAlgorithm.d -MF $(bin)$(binobj)TbUTPedestalSubtractorAlgorithm.d -o $(bin)$(binobj)TbUTPedestalSubtractorAlgorithm.o $(src)TbUTPedestalSubtractorAlgorithm.cpp


#-- end of cpp_library ------------------
#-- start of cpp_library -----------------

ifneq ($(MAKECMDGOALS),TbUTclean)
ifneq ($(MAKECMDGOALS),uninstall)
-include $(bin)$(binobj)TbUTRandomNoiseGenerator.d
endif
endif


$(bin)$(binobj)TbUTRandomNoiseGenerator.o $(bin)$(binobj)TbUTRandomNoiseGenerator.d : $(src)TbUTRandomNoiseGenerator.cpp  $(use_requirements) $(cmt_final_setup_TbUT)
	$(cpp_echo) $(src)TbUTRandomNoiseGenerator.cpp
	@mkdir -p $(@D)
	$(cpp_silent) $(cppcomp) $(use_pp_cppflags) $(TbUT_pp_cppflags) $(app_TbUT_pp_cppflags) $(TbUTRandomNoiseGenerator_pp_cppflags) $(use_cppflags) $(TbUT_cppflags) $(lib_TbUT_cppflags) $(app_TbUT_cppflags) $(TbUTRandomNoiseGenerator_cppflags) $(TbUTRandomNoiseGenerator_cpp_cppflags)  -MP -MMD -MT $(bin)$(binobj)TbUTRandomNoiseGenerator.o -MT $(bin)$(binobj)TbUTRandomNoiseGenerator.d -MF $(bin)$(binobj)TbUTRandomNoiseGenerator.d -o $(bin)$(binobj)TbUTRandomNoiseGenerator.o $(src)TbUTRandomNoiseGenerator.cpp


#-- end of cpp_library ------------------
#-- start of cpp_library -----------------

ifneq ($(MAKECMDGOALS),TbUTclean)
ifneq ($(MAKECMDGOALS),uninstall)
-include $(bin)$(binobj)TbUTNTupleCreator.d
endif
endif


$(bin)$(binobj)TbUTNTupleCreator.o $(bin)$(binobj)TbUTNTupleCreator.d : $(src)TbUTNTupleCreator.cpp  $(use_requirements) $(cmt_final_setup_TbUT)
	$(cpp_echo) $(src)TbUTNTupleCreator.cpp
	@mkdir -p $(@D)
	$(cpp_silent) $(cppcomp) $(use_pp_cppflags) $(TbUT_pp_cppflags) $(app_TbUT_pp_cppflags) $(TbUTNTupleCreator_pp_cppflags) $(use_cppflags) $(TbUT_cppflags) $(lib_TbUT_cppflags) $(app_TbUT_cppflags) $(TbUTNTupleCreator_cppflags) $(TbUTNTupleCreator_cpp_cppflags)  -MP -MMD -MT $(bin)$(binobj)TbUTNTupleCreator.o -MT $(bin)$(binobj)TbUTNTupleCreator.d -MF $(bin)$(binobj)TbUTNTupleCreator.d -o $(bin)$(binobj)TbUTNTupleCreator.o $(src)TbUTNTupleCreator.cpp


#-- end of cpp_library ------------------
#-- start of cpp_library -----------------

ifneq ($(MAKECMDGOALS),TbUTclean)
ifneq ($(MAKECMDGOALS),uninstall)
-include $(bin)$(binobj)TbUTNoiseCalculator.d
endif
endif


$(bin)$(binobj)TbUTNoiseCalculator.o $(bin)$(binobj)TbUTNoiseCalculator.d : $(src)TbUTNoiseCalculator.cpp  $(use_requirements) $(cmt_final_setup_TbUT)
	$(cpp_echo) $(src)TbUTNoiseCalculator.cpp
	@mkdir -p $(@D)
	$(cpp_silent) $(cppcomp) $(use_pp_cppflags) $(TbUT_pp_cppflags) $(app_TbUT_pp_cppflags) $(TbUTNoiseCalculator_pp_cppflags) $(use_cppflags) $(TbUT_cppflags) $(lib_TbUT_cppflags) $(app_TbUT_cppflags) $(TbUTNoiseCalculator_cppflags) $(TbUTNoiseCalculator_cpp_cppflags)  -MP -MMD -MT $(bin)$(binobj)TbUTNoiseCalculator.o -MT $(bin)$(binobj)TbUTNoiseCalculator.d -MF $(bin)$(binobj)TbUTNoiseCalculator.d -o $(bin)$(binobj)TbUTNoiseCalculator.o $(src)TbUTNoiseCalculator.cpp


#-- end of cpp_library ------------------
#-- start of cpp_library -----------------

ifneq ($(MAKECMDGOALS),TbUTclean)
ifneq ($(MAKECMDGOALS),uninstall)
-include $(bin)$(binobj)TbUTChannelMaskFileValidator.d
endif
endif


$(bin)$(binobj)TbUTChannelMaskFileValidator.o $(bin)$(binobj)TbUTChannelMaskFileValidator.d : $(src)TbUTChannelMaskFileValidator.cpp  $(use_requirements) $(cmt_final_setup_TbUT)
	$(cpp_echo) $(src)TbUTChannelMaskFileValidator.cpp
	@mkdir -p $(@D)
	$(cpp_silent) $(cppcomp) $(use_pp_cppflags) $(TbUT_pp_cppflags) $(app_TbUT_pp_cppflags) $(TbUTChannelMaskFileValidator_pp_cppflags) $(use_cppflags) $(TbUT_cppflags) $(lib_TbUT_cppflags) $(app_TbUT_cppflags) $(TbUTChannelMaskFileValidator_cppflags) $(TbUTChannelMaskFileValidator_cpp_cppflags)  -MP -MMD -MT $(bin)$(binobj)TbUTChannelMaskFileValidator.o -MT $(bin)$(binobj)TbUTChannelMaskFileValidator.d -MF $(bin)$(binobj)TbUTChannelMaskFileValidator.d -o $(bin)$(binobj)TbUTChannelMaskFileValidator.o $(src)TbUTChannelMaskFileValidator.cpp


#-- end of cpp_library ------------------
#-- start of cpp_library -----------------

ifneq ($(MAKECMDGOALS),TbUTclean)
ifneq ($(MAKECMDGOALS),uninstall)
-include $(bin)$(binobj)TbUTCMSIterativelyPerBeetle.d
endif
endif


$(bin)$(binobj)TbUTCMSIterativelyPerBeetle.o $(bin)$(binobj)TbUTCMSIterativelyPerBeetle.d : $(src)TbUTCMSIterativelyPerBeetle.cpp  $(use_requirements) $(cmt_final_setup_TbUT)
	$(cpp_echo) $(src)TbUTCMSIterativelyPerBeetle.cpp
	@mkdir -p $(@D)
	$(cpp_silent) $(cppcomp) $(use_pp_cppflags) $(TbUT_pp_cppflags) $(app_TbUT_pp_cppflags) $(TbUTCMSIterativelyPerBeetle_pp_cppflags) $(use_cppflags) $(TbUT_cppflags) $(lib_TbUT_cppflags) $(app_TbUT_cppflags) $(TbUTCMSIterativelyPerBeetle_cppflags) $(TbUTCMSIterativelyPerBeetle_cpp_cppflags)  -MP -MMD -MT $(bin)$(binobj)TbUTCMSIterativelyPerBeetle.o -MT $(bin)$(binobj)TbUTCMSIterativelyPerBeetle.d -MF $(bin)$(binobj)TbUTCMSIterativelyPerBeetle.d -o $(bin)$(binobj)TbUTCMSIterativelyPerBeetle.o $(src)TbUTCMSIterativelyPerBeetle.cpp


#-- end of cpp_library ------------------
#-- start of cpp_library -----------------

ifneq ($(MAKECMDGOALS),TbUTclean)
ifneq ($(MAKECMDGOALS),uninstall)
-include $(bin)$(binobj)TbUTClusterCreator.d
endif
endif


$(bin)$(binobj)TbUTClusterCreator.o $(bin)$(binobj)TbUTClusterCreator.d : $(src)TbUTClusterCreator.cpp  $(use_requirements) $(cmt_final_setup_TbUT)
	$(cpp_echo) $(src)TbUTClusterCreator.cpp
	@mkdir -p $(@D)
	$(cpp_silent) $(cppcomp) $(use_pp_cppflags) $(TbUT_pp_cppflags) $(app_TbUT_pp_cppflags) $(TbUTClusterCreator_pp_cppflags) $(use_cppflags) $(TbUT_cppflags) $(lib_TbUT_cppflags) $(app_TbUT_cppflags) $(TbUTClusterCreator_cppflags) $(TbUTClusterCreator_cpp_cppflags)  -MP -MMD -MT $(bin)$(binobj)TbUTClusterCreator.o -MT $(bin)$(binobj)TbUTClusterCreator.d -MF $(bin)$(binobj)TbUTClusterCreator.d -o $(bin)$(binobj)TbUTClusterCreator.o $(src)TbUTClusterCreator.cpp


#-- end of cpp_library ------------------
#-- start of cpp_library -----------------

ifneq ($(MAKECMDGOALS),TbUTclean)
ifneq ($(MAKECMDGOALS),uninstall)
-include $(bin)$(binobj)TbUTPedestalFollowingFactory.d
endif
endif


$(bin)$(binobj)TbUTPedestalFollowingFactory.o $(bin)$(binobj)TbUTPedestalFollowingFactory.d : $(src)TbUTPedestalFollowingFactory.cpp  $(use_requirements) $(cmt_final_setup_TbUT)
	$(cpp_echo) $(src)TbUTPedestalFollowingFactory.cpp
	@mkdir -p $(@D)
	$(cpp_silent) $(cppcomp) $(use_pp_cppflags) $(TbUT_pp_cppflags) $(app_TbUT_pp_cppflags) $(TbUTPedestalFollowingFactory_pp_cppflags) $(use_cppflags) $(TbUT_cppflags) $(lib_TbUT_cppflags) $(app_TbUT_cppflags) $(TbUTPedestalFollowingFactory_cppflags) $(TbUTPedestalFollowingFactory_cpp_cppflags)  -MP -MMD -MT $(bin)$(binobj)TbUTPedestalFollowingFactory.o -MT $(bin)$(binobj)TbUTPedestalFollowingFactory.d -MF $(bin)$(binobj)TbUTPedestalFollowingFactory.d -o $(bin)$(binobj)TbUTPedestalFollowingFactory.o $(src)TbUTPedestalFollowingFactory.cpp


#-- end of cpp_library ------------------
#-- start of cpp_library -----------------

ifneq ($(MAKECMDGOALS),TbUTclean)
ifneq ($(MAKECMDGOALS),uninstall)
-include $(bin)$(binobj)TbUTPedestalSubtractor.d
endif
endif


$(bin)$(binobj)TbUTPedestalSubtractor.o $(bin)$(binobj)TbUTPedestalSubtractor.d : $(src)TbUTPedestalSubtractor.cpp  $(use_requirements) $(cmt_final_setup_TbUT)
	$(cpp_echo) $(src)TbUTPedestalSubtractor.cpp
	@mkdir -p $(@D)
	$(cpp_silent) $(cppcomp) $(use_pp_cppflags) $(TbUT_pp_cppflags) $(app_TbUT_pp_cppflags) $(TbUTPedestalSubtractor_pp_cppflags) $(use_cppflags) $(TbUT_cppflags) $(lib_TbUT_cppflags) $(app_TbUT_cppflags) $(TbUTPedestalSubtractor_cppflags) $(TbUTPedestalSubtractor_cpp_cppflags)  -MP -MMD -MT $(bin)$(binobj)TbUTPedestalSubtractor.o -MT $(bin)$(binobj)TbUTPedestalSubtractor.d -MF $(bin)$(binobj)TbUTPedestalSubtractor.d -o $(bin)$(binobj)TbUTPedestalSubtractor.o $(src)TbUTPedestalSubtractor.cpp


#-- end of cpp_library ------------------
#-- start of cpp_library -----------------

ifneq ($(MAKECMDGOALS),TbUTclean)
ifneq ($(MAKECMDGOALS),uninstall)
-include $(bin)$(binobj)TbUTPedestalCalculator.d
endif
endif


$(bin)$(binobj)TbUTPedestalCalculator.o $(bin)$(binobj)TbUTPedestalCalculator.d : $(src)TbUTPedestalCalculator.cpp  $(use_requirements) $(cmt_final_setup_TbUT)
	$(cpp_echo) $(src)TbUTPedestalCalculator.cpp
	@mkdir -p $(@D)
	$(cpp_silent) $(cppcomp) $(use_pp_cppflags) $(TbUT_pp_cppflags) $(app_TbUT_pp_cppflags) $(TbUTPedestalCalculator_pp_cppflags) $(use_cppflags) $(TbUT_cppflags) $(lib_TbUT_cppflags) $(app_TbUT_cppflags) $(TbUTPedestalCalculator_cppflags) $(TbUTPedestalCalculator_cpp_cppflags)  -MP -MMD -MT $(bin)$(binobj)TbUTPedestalCalculator.o -MT $(bin)$(binobj)TbUTPedestalCalculator.d -MF $(bin)$(binobj)TbUTPedestalCalculator.d -o $(bin)$(binobj)TbUTPedestalCalculator.o $(src)TbUTPedestalCalculator.cpp


#-- end of cpp_library ------------------
#-- start of cpp_library -----------------

ifneq ($(MAKECMDGOALS),TbUTclean)
ifneq ($(MAKECMDGOALS),uninstall)
-include $(bin)$(binobj)TbUTCluster.d
endif
endif


$(bin)$(binobj)TbUTCluster.o $(bin)$(binobj)TbUTCluster.d : $(src)TbUTCluster.cpp  $(use_requirements) $(cmt_final_setup_TbUT)
	$(cpp_echo) $(src)TbUTCluster.cpp
	@mkdir -p $(@D)
	$(cpp_silent) $(cppcomp) $(use_pp_cppflags) $(TbUT_pp_cppflags) $(app_TbUT_pp_cppflags) $(TbUTCluster_pp_cppflags) $(use_cppflags) $(TbUT_cppflags) $(lib_TbUT_cppflags) $(app_TbUT_cppflags) $(TbUTCluster_cppflags) $(TbUTCluster_cpp_cppflags)  -MP -MMD -MT $(bin)$(binobj)TbUTCluster.o -MT $(bin)$(binobj)TbUTCluster.d -MF $(bin)$(binobj)TbUTCluster.d -o $(bin)$(binobj)TbUTCluster.o $(src)TbUTCluster.cpp


#-- end of cpp_library ------------------
#-- start of cpp_library -----------------

ifneq ($(MAKECMDGOALS),TbUTclean)
ifneq ($(MAKECMDGOALS),uninstall)
-include $(bin)$(binobj)TbUTAlibavaDataRetreiver.d
endif
endif


$(bin)$(binobj)TbUTAlibavaDataRetreiver.o $(bin)$(binobj)TbUTAlibavaDataRetreiver.d : $(src)TbUTAlibavaDataRetreiver.cpp  $(use_requirements) $(cmt_final_setup_TbUT)
	$(cpp_echo) $(src)TbUTAlibavaDataRetreiver.cpp
	@mkdir -p $(@D)
	$(cpp_silent) $(cppcomp) $(use_pp_cppflags) $(TbUT_pp_cppflags) $(app_TbUT_pp_cppflags) $(TbUTAlibavaDataRetreiver_pp_cppflags) $(use_cppflags) $(TbUT_cppflags) $(lib_TbUT_cppflags) $(app_TbUT_cppflags) $(TbUTAlibavaDataRetreiver_cppflags) $(TbUTAlibavaDataRetreiver_cpp_cppflags)  -MP -MMD -MT $(bin)$(binobj)TbUTAlibavaDataRetreiver.o -MT $(bin)$(binobj)TbUTAlibavaDataRetreiver.d -MF $(bin)$(binobj)TbUTAlibavaDataRetreiver.d -o $(bin)$(binobj)TbUTAlibavaDataRetreiver.o $(src)TbUTAlibavaDataRetreiver.cpp


#-- end of cpp_library ------------------
#-- start of cpp_library -----------------

ifneq ($(MAKECMDGOALS),TbUTclean)
ifneq ($(MAKECMDGOALS),uninstall)
-include $(bin)$(binobj)TbUTAlbavaFileValidator.d
endif
endif


$(bin)$(binobj)TbUTAlbavaFileValidator.o $(bin)$(binobj)TbUTAlbavaFileValidator.d : $(src)TbUTAlbavaFileValidator.cpp  $(use_requirements) $(cmt_final_setup_TbUT)
	$(cpp_echo) $(src)TbUTAlbavaFileValidator.cpp
	@mkdir -p $(@D)
	$(cpp_silent) $(cppcomp) $(use_pp_cppflags) $(TbUT_pp_cppflags) $(app_TbUT_pp_cppflags) $(TbUTAlbavaFileValidator_pp_cppflags) $(use_cppflags) $(TbUT_cppflags) $(lib_TbUT_cppflags) $(app_TbUT_cppflags) $(TbUTAlbavaFileValidator_cppflags) $(TbUTAlbavaFileValidator_cpp_cppflags)  -MP -MMD -MT $(bin)$(binobj)TbUTAlbavaFileValidator.o -MT $(bin)$(binobj)TbUTAlbavaFileValidator.d -MF $(bin)$(binobj)TbUTAlbavaFileValidator.d -o $(bin)$(binobj)TbUTAlbavaFileValidator.o $(src)TbUTAlbavaFileValidator.cpp


#-- end of cpp_library ------------------
#-- start of cpp_library -----------------

ifneq ($(MAKECMDGOALS),TbUTclean)
ifneq ($(MAKECMDGOALS),uninstall)
-include $(bin)$(binobj)TbAsciiRoot.d
endif
endif


$(bin)$(binobj)TbAsciiRoot.o $(bin)$(binobj)TbAsciiRoot.d : $(src)alibava/TbAsciiRoot.cpp  $(use_requirements) $(cmt_final_setup_TbUT)
	$(cpp_echo) $(src)alibava/TbAsciiRoot.cpp
	@mkdir -p $(@D)
	$(cpp_silent) $(cppcomp) $(use_pp_cppflags) $(TbUT_pp_cppflags) $(app_TbUT_pp_cppflags) $(TbAsciiRoot_pp_cppflags) $(use_cppflags) $(TbUT_cppflags) $(lib_TbUT_cppflags) $(app_TbUT_cppflags) $(TbAsciiRoot_cppflags) $(TbAsciiRoot_cpp_cppflags) -I../src/alibava -MP -MMD -MT $(bin)$(binobj)TbAsciiRoot.o -MT $(bin)$(binobj)TbAsciiRoot.d -MF $(bin)$(binobj)TbAsciiRoot.d -o $(bin)$(binobj)TbAsciiRoot.o $(src)alibava/TbAsciiRoot.cpp


#-- end of cpp_library ------------------
#-- start of cpp_library -----------------

ifneq ($(MAKECMDGOALS),TbUTclean)
ifneq ($(MAKECMDGOALS),uninstall)
-include $(bin)$(binobj)ChanList.d
endif
endif


$(bin)$(binobj)ChanList.o $(bin)$(binobj)ChanList.d : $(src)alibava/ChanList.cpp  $(use_requirements) $(cmt_final_setup_TbUT)
	$(cpp_echo) $(src)alibava/ChanList.cpp
	@mkdir -p $(@D)
	$(cpp_silent) $(cppcomp) $(use_pp_cppflags) $(TbUT_pp_cppflags) $(app_TbUT_pp_cppflags) $(ChanList_pp_cppflags) $(use_cppflags) $(TbUT_cppflags) $(lib_TbUT_cppflags) $(app_TbUT_cppflags) $(ChanList_cppflags) $(ChanList_cpp_cppflags) -I../src/alibava -MP -MMD -MT $(bin)$(binobj)ChanList.o -MT $(bin)$(binobj)ChanList.d -MF $(bin)$(binobj)ChanList.d -o $(bin)$(binobj)ChanList.o $(src)alibava/ChanList.cpp


#-- end of cpp_library ------------------
#-- start of cpp_library -----------------

ifneq ($(MAKECMDGOALS),TbUTclean)
ifneq ($(MAKECMDGOALS),uninstall)
-include $(bin)$(binobj)TbAlibavaHit.d
endif
endif


$(bin)$(binobj)TbAlibavaHit.o $(bin)$(binobj)TbAlibavaHit.d : $(src)alibava/TbAlibavaHit.cpp  $(use_requirements) $(cmt_final_setup_TbUT)
	$(cpp_echo) $(src)alibava/TbAlibavaHit.cpp
	@mkdir -p $(@D)
	$(cpp_silent) $(cppcomp) $(use_pp_cppflags) $(TbUT_pp_cppflags) $(app_TbUT_pp_cppflags) $(TbAlibavaHit_pp_cppflags) $(use_cppflags) $(TbUT_cppflags) $(lib_TbUT_cppflags) $(app_TbUT_cppflags) $(TbAlibavaHit_cppflags) $(TbAlibavaHit_cpp_cppflags) -I../src/alibava -MP -MMD -MT $(bin)$(binobj)TbAlibavaHit.o -MT $(bin)$(binobj)TbAlibavaHit.d -MF $(bin)$(binobj)TbAlibavaHit.d -o $(bin)$(binobj)TbAlibavaHit.o $(src)alibava/TbAlibavaHit.cpp


#-- end of cpp_library ------------------
#-- start of cpp_library -----------------

ifneq ($(MAKECMDGOALS),TbUTclean)
ifneq ($(MAKECMDGOALS),uninstall)
-include $(bin)$(binobj)mamba_decoder.d
endif
endif


$(bin)$(binobj)mamba_decoder.o $(bin)$(binobj)mamba_decoder.d : $(src)mamba/mamba_decoder.cpp  $(use_requirements) $(cmt_final_setup_TbUT)
	$(cpp_echo) $(src)mamba/mamba_decoder.cpp
	@mkdir -p $(@D)
	$(cpp_silent) $(cppcomp) $(use_pp_cppflags) $(TbUT_pp_cppflags) $(app_TbUT_pp_cppflags) $(mamba_decoder_pp_cppflags) $(use_cppflags) $(TbUT_cppflags) $(lib_TbUT_cppflags) $(app_TbUT_cppflags) $(mamba_decoder_cppflags) $(mamba_decoder_cpp_cppflags) -I../src/mamba -MP -MMD -MT $(bin)$(binobj)mamba_decoder.o -MT $(bin)$(binobj)mamba_decoder.d -MF $(bin)$(binobj)mamba_decoder.d -o $(bin)$(binobj)mamba_decoder.o $(src)mamba/mamba_decoder.cpp


#-- end of cpp_library ------------------
#-- start of cleanup_header --------------

clean :: TbUTclean ;
#	@cd .

ifndef PEDANTIC
.DEFAULT::
	$(echo) "(TbUT.make) $@: No rule for such target" >&2
#	@echo "#CMT> Warning: $@: No rule for such target" >&2; exit
	if echo $@ | grep '$(package)setup\.make$$' >/dev/null; then\
	 echo "$(CMTMSGPREFIX)" "(TbUT.make): $@: File no longer generated" >&2; exit 0; fi
else
.DEFAULT::
	$(echo) "(TbUT.make) PEDANTIC: $@: No rule for such target" >&2
	if echo $@ | grep '$(package)setup\.make$$' >/dev/null; then\
	 echo "$(CMTMSGPREFIX)" "(TbUT.make): $@: File no longer generated" >&2; exit 0;\
	 elif test $@ = "$(cmt_final_setup)" -o\
	 $@ = "$(cmt_final_setup_TbUT)" ; then\
	 found=n; for s in 1 2 3 4 5; do\
	 sleep $$s; test ! -f $@ || { found=y; break; }\
	 done; if test $$found = n; then\
	 test -z "$(cmtmsg)" ||\
	 echo "$(CMTMSGPREFIX)" "(TbUT.make) PEDANTIC: $@: Seems to be missing. Ignore it for now" >&2; exit 0 ; fi;\
	 elif test `expr $@ : '.*/'` -ne 0 ; then\
	 test -z "$(cmtmsg)" ||\
	 echo "$(CMTMSGPREFIX)" "(TbUT.make) PEDANTIC: $@: Seems to be a missing file. Please check" >&2; exit 2 ; \
	 else\
	 test -z "$(cmtmsg)" ||\
	 echo "$(CMTMSGPREFIX)" "(TbUT.make) PEDANTIC: $@: Seems to be a fake target due to some pattern. Just ignore it" >&2 ; exit 0; fi
endif

TbUTclean ::
#-- end of cleanup_header ---------------
#-- start of cleanup_library -------------
	$(cleanup_echo) library TbUT
	-$(cleanup_silent) cd $(bin); /bin/rm -f $(library_prefix)TbUT$(library_suffix).a $(library_prefix)TbUT$(library_suffix).s? TbUT.stamp TbUT.shstamp
#-- end of cleanup_library ---------------
